clear;
close all;


s = tf('s');
Coche  = (1/300)/(s+0.06);
Aleron = 8100*tf(1);
Servo  = 810*tf(1);

% Solucion
% C = 4.7*(1+5*s)/s;

C = 0.03*(s+0.2)/s;

% BLOQUE DE RETARDO PURO
Retardo = tf(1,1);
set(Retardo,'iodelay',7 );



% BLOQUE DE ACTUADOR LENTO
Actuador = tf(1,[5 1]);

% BLOQUE DE SENSOR LENTO
Sensor = tf(1,[5 1]);






% Sensibilidad
L = C*Servo*Coche;
S = 1/(1+L);
Si = S*Coche;


Lret = L*Retardo;
Lsen = L*Sensor;
Lact = L*Actuador;






w = logspace(-2,0,1000);

figure(1);
bode(L,Lret,w);
legend('Original','Con retardo',3);
grid on;

figure(2);
bode(L,Lact,w);
legend('Original','Actuador lento',3);
grid on;

figure(3);
bode(L,Lsen,w);
legend('Original','Sensor lento',3);
grid on;
